# AccelerationCache Struct Reference

Cached acceleration values. More...

`#include <train.h>`

Inheritance diagram for AccelerationCache:

## Data Fields
uint32 | cached_weight
| total weight of the consist.
uint32 | cached_slope_resistance
| Resistance caused by weight when this vehicle part is at a slope.
uint32 | cached_max_te
| max tractive effort of consist
uint32 | cached_power
| total power of the consist.
uint32 | cached_air_drag
| Air drag coefficient of the vehicle.
uint16 | cached_axle_resistance
| Resistance caused by the axles of the vehicle.

## Detailed Description

Cached acceleration values.

All of these values except cached_slope_resistance are set only for the first part of a vehicle.

Definition at line 63 of file train.h.

The documentation for this struct was generated from the following file:

- src/train.h